**free

// RPG BATTLE DEV 2024 - Manche 2 - Epreuve 3 - Du 13 au 15 Novembre 2024

// Contexte :
//  Le fichier base de données TEAMLIB/IBAN contient une liste d'IBAN

// Objectif :
//  Calculer les clés des IBAN fournis
//  Ne traiter que les IBAN Français, Grecs, Italiens, Monégasques

// Consignes :
//  1. Utiliser uniquement des instructions RPG natives (pas de SQL, pas d'appels d'API ...)
//  2. Les déclarations ne doivent pas être modifiées
//  3. Les lignes déjà présentes dans le code ne doivent pas êtres supprimées

// Règles de calcul :
//  Cf https://fr.wikipedia.org/wiki/International_Bank_Account_Number

// Exemple :
// FR{00}42559100000800166893177 où {00} est la clé à calculer
// doit afficher : DSPLY FR7642559100000800166893177

// Critères d'évaluation :
//  1. Le résultat doit être celui demandé
//  2. Le programme doit s'appeler E3 dans votre bibliothèque TEAMx

// -----------------------------------------------------------------------------
// Votre profil IBM i : TEAMXX
// -----------------------------------------------------------------------------

ctl-opt actgrp(*new) alwnull(*no);

dcl-f iban rename(iban:fiban);


return ; 