**free

// RPG BATTLE DEV 2024 - Manche 1 - Epreuve 2 - Du 6 au 8 Novembre 2024

// Contexte :
//  Faire un programme de mise en forme des données de log
//  Le fichier base de données TEAMLIB/LOG contient une liste des logs

// Objectif :
//  Afficher les logs présents dans le fichier LOG et les afficher (DSPLY) de manière descendante
// (du plus récent au plus ancien)
//  Exemple de résultat (format à respecter):
//   DSPLY 11 Novembre 2024 - 17h12mn00s - Avertissement
//   DSPLY 07 Octobre 2024 - 14h30mn45s - Avertissement


// Consignes :
//  1. Ne pas modifier les lignes de code déjà présentes, ajouter vos lignes de code nécessaires
//  2. Utiliser uniquement des instructions RPG natives (pas de SQL, pas d'appels d'API ...)
//  3. Ne prendre que les types "Critique", "Avertissement" et "Suspect"

// Critères d'évaluation :
//  1. Le résultat doit être celui demandé
//  2. Le code présent ne doit pas être modifié
//  3. Le code doit être le plus simple, le plus lisible possible et le plus optimisé.
//  4. Le programme doit s'appeler E2 dans votre bibliothèque TEAMXX

// -----------------------------------------------------------------------------
// Votre profil IBM i : TEAMXX
// -----------------------------------------------------------------------------

ctl-opt actgrp(*new) alwnull(*no);

dcl-f log rename(log:flog);

return ;
 