**free

// RPG BATTLE DEV 2024 - Manche 3 - Epreuve 6 - Le 19 Novembre 2024

// Objectif :
//  Obtenir le résultat suivant :
//   DSPLY Et 1
//   DSPLY Et 2
//   DSPLY BATTLE DEV!

// Consignes :
//  1. Utiliser uniquement des instructions RPG natives (pas de SQL, pas d'appels d'API ...)
//  2. Les lignes déjà présentes dans le code ne doivent pas êtres supprimées

// Critères d'évaluation :
//  1. Le résultat doit être celui demandé
//  2. Le code doit être le plus simple, le plus lisible possible et le plus optimisé.
//  3. Le programme doit s'appeler E6 dans votre bibliothèque TEAMXX

// -----------------------------------------------------------------------------
// Votre profil IBM i : TEAMXX
// -----------------------------------------------------------------------------

ctl-opt actgrp(*new);

dcl-s cpt packed(1:0) inz(1);

dow not compteurTest and cpt < 6;
   dsply ('Et ' + %char(cpt));
   cpt += 1;
enddo;

dsply 'BATTLE DEV!';

return ;

dcl-proc compteurTest;
   dcl-s compteur packed(1:0);

   dcl-pi *n ind;
   End-pi;

   compteur += 1;

   return compteur = 3;

End-proc;
 